Company Search
curl --request POST \
--url https://api.datamagnet.co/api/v1/company/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "<string>",
"company_sizes": [
{}
],
"has_jobs": true,
"industries": [
{}
],
"page": 123
}
'import requests
url = "https://api.datamagnet.co/api/v1/company/search"
payload = {
"keyword": "<string>",
"company_sizes": [{}],
"has_jobs": True,
"industries": [{}],
"page": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
company_sizes: [{}],
has_jobs: true,
industries: [{}],
page: 123
})
};
fetch('https://api.datamagnet.co/api/v1/company/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": {
"current_page": 1,
"items": [
{
"id": 1441,
"linkedin_url": "https://www.linkedin.com/company/...",
"logo": [
{
"height": 100,
"url": "https://media.licdn.com/dms/...",
"width": 100
}
],
"name": "Google",
"staff_count_range": {},
"tagline": "Tagline",
"universal_name": "google"
}
],
"total": 1,
"total_pages": 1
},
"credit_used": 5
}
Company Search
Search LinkedIn companies by keyword with filters for industry, headcount, and location. Returns matching company profiles in structured JSON.
POST
/
api
/
v1
/
company
/
search
Company Search
Cost:10 credits/search.
Search for LinkedIn companies using keyword, company size, industry, and hiring filters.
Company search endpoint
Optional attributes
string
General search keyword. Example:
googlearray
Filter by company size. Accepted values:
Example:
| Value | Size |
|---|---|
B | 1–10 |
C | 11–50 |
D | 51–200 |
E | 201–500 |
F | 501–1,000 |
G | 1,001–5,000 |
H | 5,001–10,000 |
I | 10,000+ |
["C", "D"]boolean
Filter to companies that are actively hiring. Either
true or false.array
Filter by industry IDs. Example:
1810 for Professional Services, 96 for IT Services and IT Consulting.integer
default:1
Page number for pagination. Minimum value is
1.Response
{
"status": "ok",
"data": {
"current_page": 1,
"items": [
{
"id": 1441,
"linkedin_url": "https://www.linkedin.com/company/...",
"logo": [
{
"height": 100,
"url": "https://media.licdn.com/dms/...",
"width": 100
}
],
"name": "Google",
"staff_count_range": {},
"tagline": "Tagline",
"universal_name": "google"
}
],
"total": 1,
"total_pages": 1
},
"credit_used": 5
}
The response model
Properties
string
Status of the response. Example:
okobject
Search results container.
Show Data object
Show Data object
integer
The current page number.
integer
Total number of results.
integer
Total number of pages.
array
List of company results.
integer
Number of credits used for this request. Example:
10Was this page helpful?